# Method: projects.regulatoryListings.update

Updates a regulatory listing.

The caller must have `numbering.regulatoryListings.update` permission on the project.

### HTTP request

`PATCH https://numbering.api.enfonica.com/v1beta1/{regulatory_listing.name}`

### Path parameters

Parameters | &nbsp;
--|--
<span class="e-code">regulatoryListing.name</span> | <span class="e-code">string</span><br/>Resource name of the regulatory listing. It must match the pattern `projects/*/regulatoryListings/*`

### Query parameters
Parameters | &nbsp;
--|--
<span class="e-code">updateMask</span> | <span class="e-code">string (<a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank">FieldMask</a> format)</span><br/>Fields to be updated.

### Request body

The request body must contain an instance of <span class="e-code">[RegulatoryListing](/docs/phone-numbers/api-reference/rest/v1beta1/projects.regulatoryListings/overview/#resource-regulatorylisting)</span>.

### Response body

If successful, the response body contains an instance of <span class="e-code">[RegulatoryListing](/docs/phone-numbers/api-reference/rest/v1beta1/projects.regulatoryListings/overview/#resource-regulatorylisting)</span>.

